Package org.apache.storm.security.serialization

# Class BlowfishTupleSerializer

java.lang.Object
com.esotericsoftware.kryo.Serializer<ListDelegate>
org.apache.storm.security.serialization.BlowfishTupleSerializer

public class BlowfishTupleSerializer extends com.esotericsoftware.kryo.Serializer<ListDelegate>
Apply Blowfish encryption for tuple communication to bolts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SECRET_KEY`
  The secret key (if any) for data encryption by blowfish payload serialization factory (BlowfishSerializationFactory).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlowfishTupleSerializer(com.esotericsoftware.kryo.Kryo unused, Map<String,Object> topoConf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  Produce a blowfish key to be used in "Storm jar" command.
  `ListDelegate`
  `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, Class<? extends ListDelegate> type)`
  `void`
  `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, ListDelegate object)`

  ### Methods inherited from class com.esotericsoftware.kryo.Serializer

  `copy, getAcceptsNull, isImmutable, setAcceptsNull, setImmutable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SECRET_KEY

    public static final String SECRET_KEY
    The secret key (if any) for data encryption by blowfish payload serialization factory (BlowfishSerializationFactory). You should use in via:

    ```storm -c topology.tuple.serializer.blowfish.key=YOURKEY -c topology.tuple.serializer=org.apache.storm.security.serialization .BlowfishTupleSerializer jar ...```

    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BlowfishTupleSerializer

    public BlowfishTupleSerializer(com.esotericsoftware.kryo.Kryo unused, Map<String,Object> topoConf)

- ## Method Details

  - ### main

    public static void main(String[] args)
    Produce a blowfish key to be used in "Storm jar" command.

  - ### write

    public void write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, ListDelegate object)
    Specified by:
      `write` in class `com.esotericsoftware.kryo.Serializer<ListDelegate>`

  - ### read

    public ListDelegate read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, Class<? extends ListDelegate> type)
    Specified by:
      `read` in class `com.esotericsoftware.kryo.Serializer<ListDelegate>`